#include <stdio.h>
#include <stdlib.h>
#include "dSFMT.h"

int main(int argc, char* argv[]) {
    double pi; // Result
    int m = 0; // Number of points inside the circle
    const int N = 1000000000; // Number of random points
    double x, y; // Point coordinates
    
    dsfmt_t dsfmt;
    int i;

    int	seed = 12345;

    // Initialize the random number generator (RNG)
    dsfmt_init_gen_rand(&dsfmt, seed);
    
    for (i = 0; i < N; i++) {
        // Generate a random X coordinate between [0,1)
        x = dsfmt_genrand_close_open(&dsfmt);
        x = (x*2) - 1; // Increment range to (-1, 1)
        // Generate a random X coordinate between [0,1)
        y = dsfmt_genrand_close_open(&dsfmt)*2;
        y = y - 1; // Increment range to (-1, 1)

        // If the point is inside the radius (circle)
        if (x * x + y * y < 1.0) {
            m++;
        }
    }

    pi = ((double)m / N) * 4;
    printf("Pi aproximation = (%i/%i)*4 = %f\n", m, N, pi);
    return 0;
}
