#!/usr/bin/gnuplot
set grid
set xlabel 'Temperature'
unset key
set rmargin 10
set lmargin 10
set terminal png size 800, 600

set xrange [0:5]
set xtics 0.500000
set title 'Mean Energy (SimpleCase)'
set ylabel '<H>'
set output "SimpleCase-MeanEnergy.png"
plot "SimpleCase.txt" every ::1 using 2:3 with linespoints pt 6 title 'Mean energy', -(12*12)*tanh(1/x)

set title 'Specific Heat (SimpleCase)'
set ylabel 'Cv'
set output "SimpleCase-SpecificHeat.png"
plot "SimpleCase.txt" every ::2 using 2:4 with linespoints pt 6 title 'Specific Heat'

set title 'Magnetisation (SimpleCase)'
set ylabel 'M'
set output "SimpleCase-Magnetisation.png"
plot "SimpleCase.txt" every ::1 using 2:5 with linespoints pt 6 title 'Magnetisation'



set xrange [0:5]
set xtics 0.500000
set title 'Mean Energy (GenuineCase)'
set ylabel '<H>'
set output "GenuineCase-MeanEnergy.png"
plot "GenuineCase.txt" every ::1 using 2:3 with linespoints pt 6 title 'Mean energy'

set title 'Specific Heat (GenuineCase)'
set ylabel 'Cv'
set output "GenuineCase-SpecificHeat.png"
plot "GenuineCase.txt" every ::2 using 2:4 with linespoints pt 6 title 'Specific Heat'

set title 'Magnetisation (GenuineCase)'
set ylabel 'M'
set output "GenuineCase-Magnetisation.png"
plot "GenuineCase.txt" every ::1 using 2:5 with linespoints pt 6 title 'Magnetisation'



set xrange [0:200]
set xtics 20.000000
set title 'Mean Energy (CompleteRandomnessCase)'
set ylabel '<H>'
set output "CompleteRandomnessCase-MeanEnergy.png"
plot "CompleteRandomnessCase.txt" every ::1 using 2:3 with linespoints pt 6 title 'Mean energy'

set title 'Specific Heat (CompleteRandomnessCase)'
set ylabel 'Cv'
set output "CompleteRandomnessCase-SpecificHeat.png"
plot "CompleteRandomnessCase.txt" every ::2 using 2:4 with linespoints pt 6 title 'Specific Heat'

set title 'Magnetisation (CompleteRandomnessCase)'
set ylabel 'M'
set output "CompleteRandomnessCase-Magnetisation.png"
plot "CompleteRandomnessCase.txt" every ::1 using 2:5 with linespoints pt 6 title 'Magnetisation'



